Bug 1660476

Summary: [GSS] re-enabling bitrot after disabling it for longer period making too many files corrupted
Product: Red Hat Gluster Storage Reporter: Prashant Dhange <pdhange>
Component: bitrotAssignee: Srijan Sivakumar <ssivakum>
Status: VERIFIED --- QA Contact: Arthy Loganathan <aloganat>
Severity: medium Docs Contact:
Priority: medium    
Version: rhgs-3.4CC: abhishku, amanzane, asakthiv, bkunal, khiremat, mduasope, moagrawa, pdhange, puebele, rabhat, ravishankar, rhs-bugs, sheggodu, ssivakum, storage-qa-internal
Target Milestone: ---Keywords: ZStream
Target Release: RHGS 3.5.z Batch Update 4Flags: khiremat: needinfo-
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: glusterfs-6.0-41 Doc Type: Bug Fix
Doc Text:
Previously, bitrot showed healthy files as corrupted files as the `checksums` were not recalculated after disabling and enabling the bitrot. With this update, `checksum` and `xattr` are updated after enabling bitrot even if `xattrs` already exists. Healthy files are now displayed correctly after disabling and enabling bitrot.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Comment 6 Kotresh HR 2018-12-21 05:47:16 UTC
Hi Prashanth,

I was busy with something else. I will go through the sosreports and update you.

Thanks,
Kotresh HR

Comment 14 Amar Tumballi 2019-01-10 06:02:28 UTC
From master:

054c7ea916 features/bit-rot: do not send version and signature keys in dict
f77fb6d568 features/bitrot: compare the signature with proper length
c2cf3f686f make posix return errors when gfid2path key is absent
b42a048d3a features/bitrot: print the path of the corrupted objects
3e8425b564 features/bitrot: show the corresponding brick for the corrupted objects

I guess the above are the patches for bit-rot which are not in RHGS yet.

Comment 19 amansan 2019-03-15 07:39:34 UTC
Good morning

You can go ahead with the closure of the bug, thanks for your help

Alicia

Comment 21 Yaniv Kaul 2019-04-09 12:01:45 UTC
(In reply to Amar Tumballi from comment #14)
> From master:
> 
> 054c7ea916 features/bit-rot: do not send version and signature keys in dict
> f77fb6d568 features/bitrot: compare the signature with proper length
> c2cf3f686f make posix return errors when gfid2path key is absent
> b42a048d3a features/bitrot: print the path of the corrupted objects
> 3e8425b564 features/bitrot: show the corresponding brick for the corrupted
> objects
> 
> I guess the above are the patches for bit-rot which are not in RHGS yet.

And for RHGS 3.5, what's the status of this BZ?

Comment 30 Karthik U S 2020-02-06 07:28:12 UTC
*** Bug 1794126 has been marked as a duplicate of this bug. ***